<?php
// Include config file
require_once '../config.php';
$search = $_GET["s"];
$search_query = "%$search%";
// Prepare an insert statement
$sql = "SELECT * FROM posts WHERE author LIKE ? OR title LIKE ? OR content LIKE ?";
// $sql = "SELECT * FROM users WHERE id=?"; // SQL with parameters

$stmt = $mysqli->prepare($sql);
$stmt->bind_param("sss", $search_query, $search_query, $search_query);
$stmt->execute();
$result = $stmt->get_result(); // get the mysqli result

$pageTitle = "Resultado da Pesquisa";
$styleSheetPath = "/search/style.css"
?>

<?php include $_SERVER['DOCUMENT_ROOT'] . '/templates/header/header.php'; ?>

<div class="container">
    <?php
    while ($post = $result->fetch_assoc()) {

        $id = $post["id"];
        $title = $post["title"];
        $content = $post["content"];
        $author = $post["author"];

        echo <<<HTML
                <a href='/post?id=$id' >
                    <h2>$title</h2>
                    <p><i class="fas fa-user-edit"></i> $author</p>
                    <br>
                    <b><p>Ver Mais</p></b>
                </a>
                <br>
            HTML;
    }
    ?>
</div>
<?php include $_SERVER['DOCUMENT_ROOT'] . '/templates/footer/footer.php'; ?>