<?php $styleSheetPath = "/templates/postVideo/style.css";?>

<div class="container">
        <div class="videoContainer">
            <div class="video">
                <div class="iframe-container">
                    <iframe width="500" height="300" src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=0&showinfo=0&loop=1&rel=0" frameborder="0" allowfullscreen></iframe>
                </div>
            </div>

            <div class="videoDetails">
                <h1 class="title"><?php echo $title; ?></h1>
                <h4 class="author"><i class="fas fa-user-edit"></i> <?php echo $author; ?> · <i class="fas fa-calendar-alt"></i> <span class="date"><?php echo $date; ?></span></h4>
                <br>
                <br>
                <div class="content"><p>Descrição</p> <pre><?php echo $content; ?></pre></div>
            </div>

        </div>
        <div class="nextVideos">
            <?php
            while ($video = $nextVideos->fetch_assoc()) {
                $videoTitle = $video["title"];
                $videoAuthor = $video["author"];
                $videoContent = $video["content"];
                $video_Id = $video["videoID"];
                $postID = $video["id"];
                echo <<<HTML
                <a class="nextVideo" href="/post?id=$postID">
                    <div class="imgDiv">
                        <img src='http://i3.ytimg.com/vi/$video_Id/mqdefault.jpg'>
                    </div>
                    <h3 class="title">$videoTitle</h3>
                    <p class="author"><i class="fas fa-user-edit"></i> $videoAuthor</p>
                </a>
                &nbsp;
            HTML;
            }

            ?>
            
        </div>
    </div>